Bug 457955 - (cf-bonveno-fonts) Review Request: cf-bonveno-fonts - BonvenoCF font
Review Request: cf-bonveno-fonts - BonvenoCF font
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 14:53 EDT by Ankur Sinha
Modified: 2009-07-24 00:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-24 00:17:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha 2008-08-05 14:53:33 EDT
spec file URL:http://ankursinha.fedorapeople.org/BonvenoCF-fonts/69bonvenocf-fonts.spec

SRPM URL: http://ankursinha.fedorapeople.org/BonvenoCF-fonts/69bonvenocf-fonts-1-1.fc9.src.rpm

Description : A fun font from the Crude Factory.
Comment 1 Ankur Sinha 2008-08-08 02:16:16 EDT
(In reply to comment #0)
> spec file
> URL:http://ankursinha.fedorapeople.org/BonvenoCF-fonts/69bonvenocf-fonts.spec
> 
> SRPM URL:
> http://ankursinha.fedorapeople.org/BonvenoCF-fonts/69bonvenocf-fonts-1-1.fc9.src.rpm
> 
> Description : A fun font from the Crude Factory.

I am a new Packager and I am looking for a Sponsor.

spec file URL:http://ankursinha.fedorapeople.org/BonvenoCF-fonts/bonvenocf-fonts.spec

SRPM URL: http://ankursinha.fedorapeople.org/BonvenoCF-fonts/bonvenocf-fonts-1-1.fc9.src.rpm
Comment 3 Nicolas Mailhot 2008-10-26 14:03:25 EDT
Ok, I'll take this review

1. Please do not use 69bonvenocf-fonts as package name. Use bonvenocf-fonts or cf-bonveno-fonts (cf-bonveno-fonts is probably better as it will give you a Crude Factory prefix to use with other Crude Factory fonts)

2. Please use install -dm 755 instead of mkdir as suggested by the official spec template

3. You can remove the "for example" comment

4. 69 is a bit low as fontconfig prefix, 64 is probably sufficient for a latin font

5. Use 1.1 as version since upstream provides a nicely versionned archive

6. Since upstream provides sfd sources, please build the ttf from source using fontforge. You have an example of sfd building in bug #467507 for example

7. the font is GPLv2 + font exception (cf README)

8. Why do you want to disable hinting for this font?

9. Why do you want to prepend en to the font?

10. Please reformat your xml files with xmllint --format before submission so
they are nicely indented with the same rules as other font packages

11. When you've written fontconfig rules you're happy with it's always a good
idea to send them upstream to be included in the font next releases

12. Please fine a way to add Barry Schwartz' name in the summary (flattering font designers is good for our interactions with them)

14. Please update http://fedoraproject.org/wiki/BonvenoCF_font to remove the font from the wishlist (change the Catzgorization). You should not need packaging powers to do that, just a FAS account

All in all, that's not too bad an attempt for a first font package. Fix all this, and I'll sponsor you if that's still needed
Comment 4 Ankur Sinha 2008-10-27 08:52:34 EDT
(In reply to comment #3)
> Ok, I'll take this review
> 
> 1. Please do not use 69bonvenocf-fonts as package name. Use bonvenocf-fonts or
> cf-bonveno-fonts (cf-bonveno-fonts is probably better as it will give you a
> Crude Factory prefix to use with other Crude Factory fonts)
> 
> 2. Please use install -dm 755 instead of mkdir as suggested by the official
> spec template
> 
> 3. You can remove the "for example" comment
> 
> 4. 69 is a bit low as fontconfig prefix, 64 is probably sufficient for a latin
> font
> 
> 5. Use 1.1 as version since upstream provides a nicely versionned archive
> 
> 6. Since upstream provides sfd sources, please build the ttf from source using
> fontforge. You have an example of sfd building in bug #467507 for example
> 
> 7. the font is GPLv2 + font exception (cf README)
> 
> 8. Why do you want to disable hinting for this font?
> 
> 9. Why do you want to prepend en to the font?
> 
> 10. Please reformat your xml files with xmllint --format before submission so
> they are nicely indented with the same rules as other font packages
> 
> 11. When you've written fontconfig rules you're happy with it's always a good
> idea to send them upstream to be included in the font next releases
> 
> 12. Please fine a way to add Barry Schwartz' name in the summary (flattering
> font designers is good for our interactions with them)
> 
> 14. Please update http://fedoraproject.org/wiki/BonvenoCF_font to remove the
> font from the wishlist (change the Catzgorization). You should not need
> packaging powers to do that, just a FAS account
> 
> All in all, that's not too bad an attempt for a first font package. Fix all
> this, and I'll sponsor you if that's still needed

hi,

rebuilt the package with your guidelines, as much as i could understand: 

SPEC: 
http://ankursinha.fedorapeople.org/BonvenoCF-fonts/cf-bonveno-fonts.spec

SRPM: 
http://ankursinha.fedorapeople.org/BonvenoCF-fonts/cf-bonveno-fonts-1.1-1.fc9.src.rpm

I dint know how to tackle point 8 9 10

I dont think i know enough for sposnorship yet.
Comment 6 Nicolas Mailhot 2008-10-27 17:42:17 EDT
(In reply to comment #4)

> I dint know how to tackle point 8 9 10
> 
> I dont think i know enough for sposnorship yet.

Ankur, there's no need to rush, and we'll do it as slowly as you're comfortable with. Baby steps are good.

If my requests are difficult to understand there's no shame at all asking for clarifications on the list. Someone else may answer using different words than mine and anyway that creates some on-line documentation for others new packagers (the list is international so no one will object if you have some problems with the pidgin English I use)

Likewise, if you find some part of the wiki documentation obscure, just ask for help on the list, and propose a re-wording after you've understood the point. That's another great way to understand packaging and getting sponsored.

If you're a bit intimidated by a public mailing list you can exchange private mails with Martin-Gomez Pablo or try to meet in an irc channel. He's also a novice packager, even if he's got a little more experience than you, so you may be a bit more comfortable exchanging tips with him.

That being said:

You still need to work on 14 8 9 10. Since you've written you've taken care of 8 9 10, you may have uploaded the wrong package version (or I can elaborate if you don't understand those points)

15. Also, you need to Buildrequire fontforge if you use it, otherwise the package won't build in koji or mock. Since you're not sponsored yet you can't test in koji so I strongly suggest installing mock on your system (http://fedoraproject.org/wiki/Projects/Mock) It's a great packager helper.

16. running rpmlint on the result produces those warnings
cf-bonveno-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cf-bonveno-fonts-1.1/COPYING
cf-bonveno-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/cf-bonveno-fonts-1.1/README

To fix this warning you need something like

for txt in COPYING README ; do
   sed 's/\r//' $txt > $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

(the touch is necessary so you don't end up with new doc timestamps after each builds)

You have more complete examples of txt files fixing in the gfs font packages. Just browse some specs there http://cvs.fedoraproject.org/viewvc/rpms/

Mostly, we want new packagers to understand why their spec files contain X or Y, not just copy templates blindly, so please DO ask every time you feel you're performing black magic.
Comment 7 Nicolas Mailhot 2008-11-17 04:52:55 EST
Ping?
Comment 8 Ankur Sinha 2008-11-18 23:41:25 EST
(In reply to comment #7)
> Ping?

hi,

upadated the package to remove the text errors.. I understand most of the spec file (manuals clarify everything that i do).. Im stuck on the fontconfig rules.. Thats why i asked for documentation.. I have no idea whats written in there and what ive added on given advice..(points 8 9 10) :( i havent much knowledge on Font families etc.. Any help with that?

here are the updated packages.. 

http://ankursinha.fedorapeople.org/BonvenoCF-fonts/cf-bonveno-fonts-1.1-1.fc9.src.rpm

http://ankursinha.fedorapeople.org/BonvenoCF-fonts/cf-bonveno-fonts.spec

and okay, Ill start using mock.. 

Ill update the wishlist..
Comment 9 Nicolas Mailhot 2008-11-19 17:22:55 EST
Ok, we're slowly getting there.

Please remember to bump the release version each time you change you specfile.

I see that your fontconfig understanding remains problematic. It's a bit difficult to help you if you do not ask specific questions, fontconfig is a complex software.

I've really tried to make the fontconfig templates in
http://nim.fedorapeople.org/rpm-fonts/rpm-fonts-1.8.tar.bz2
as simple as I could. What part of it do you not understand?

If you want concrete examples (not abstract templates), just download the src.rpms of existing Fedora 9/10 font packages (the gfs fonts come to mind) and look at the fontconfig bits inside using file-roller.
Comment 10 Ankur Sinha 2008-11-19 23:24:00 EST
Hi,

Im okay with the syntax.. Understood the xmllint too.. (The tar file says output will be .xml.. mines coming .conf..).How do i decide if a font goes Dejau or serif? Thats what i dont know how to decide..

Thanks both for your clarifications and patience.. Ill upload the new packages once ive checked them (will try using mock).
Comment 11 Nicolas Mailhot 2008-11-20 13:55:19 EST
(In reply to comment #10)
> (The tar file says
> output will be .xml.. mines coming .conf..).

Yes, that was a mistake in the documentation, now fixed, thanks for reporting

>How do i decide if a font goes
> Dejau or serif? Thats what i dont know how to decide..

DejaVu Sans is a font name, serif is a generic name.
Is the tar documentation not clear enough on where you should use generics and where you should use font names?
Comment 13 Nicolas Mailhot 2008-12-21 16:43:48 EST
[This is a simplified version of the message sent to every package maintainer that ships TTF/OTF/Type1 fonts in Fedora.]

Our font packaging guidelines have now changed. New font package submissions must now be adapted to the new templates available in the fontpackages-devel
package:
 – http://fedoraproject.org/wiki/fontpackageshttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

It is preferred to create a font package or subpackage per font family, though
it is not currently a hard guidelines requirement.
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_(2008-12-21)
has been submitted for FPC and FESCO approval today.

The new templates should make the creation of font packages easy and safe. 

The following packages have already been converted by their packager in fedora-devel and can serve as examples:
❄ abyssinica-fonts
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ nafees-web-naskh-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

The new spec templates have been designed to be easy to update to from the previous guidelines, and to remove complexity from font packages. To help new package creation the fontpackages-devel package has been made available in Fedora 9 and 10.

If you have any remaining questions about the new guidelines please ask them
on:
fedora-fonts-list at redhat.com
Comment 14 Nicolas Mailhot 2009-01-04 05:02:44 EST
Please adapt to the new guidelines ; that should be easy and simplify your spec quite a bit
Comment 15 Ankur Sinha 2009-01-04 06:20:33 EST
hi,

packages :

http://ankursinha.fedorapeople.org/cf-bonveno-fonts/cf-bonveno-fonts-1.1-2.fc10.src.rpm

http://ankursinha.fedorapeople.org/cf-bonveno-fonts/cf-bonveno-fonts.spec

Im not too sure of line 53 :
install -pm 644 *.ttf  %{buildroot}%{fontdir}

The new spec template says "change *.ttf to where your files actually are". I dint quite get that.

Also, rpmlint for the rpm gives this warning.. : "cf-bonveno-fonts.noarch: W: symlink-should-be-relative /etc/fonts/conf.d/60-cf-bonveno.conf /usr/share/fontconfig/conf.avail/60-cf-bonveno.conf"

so there must be something wrong in the "ln ... " command.. line 61.
I havent been able to correct that either.

regards,
Comment 16 Nicolas Mailhot 2009-01-04 12:00:12 EST
(In reply to comment #15)

> The new spec template says "change *.ttf to where your files actually are". I
> dint quite get that.

You did ok, I've tried to clarify the wiki page ping me if it's still unclear

> Also, rpmlint for the rpm gives this warning.. : "cf-bonveno-fonts.noarch: W:
> symlink-should-be-relative /etc/fonts/conf.d/60-cf-bonveno.conf
> /usr/share/fontconfig/conf.avail/60-cf-bonveno.conf"

This is an rpmlint of dubious utility that will be discussed by FPC soonish. In the meanwhile, ignore it

http://fedoraproject.org/wiki/PackagingDrafts/Absolute_symlinks_in_fonts_templates_%282009-01-02%29
 
Please make your fontconfig file adhere more closely to the basic template in fontpackages-devel.

Otherwise, everything else seems fine
Comment 17 Nicolas Mailhot 2009-01-04 12:00:35 EST
.
Comment 18 Ankur Sinha 2009-01-13 03:57:27 EST
(In reply to comment #16)
> (In reply to comment #15)
> 
> > The new spec template says "change *.ttf to where your files actually are". I
> > dint quite get that.
> 
> You did ok, I've tried to clarify the wiki page ping me if it's still unclear
> 
> > Also, rpmlint for the rpm gives this warning.. : "cf-bonveno-fonts.noarch: W:
> > symlink-should-be-relative /etc/fonts/conf.d/60-cf-bonveno.conf
> > /usr/share/fontconfig/conf.avail/60-cf-bonveno.conf"
> 
> This is an rpmlint of dubious utility that will be discussed by FPC soonish. In
> the meanwhile, ignore it
> 
> http://fedoraproject.org/wiki/PackagingDrafts/Absolute_symlinks_in_fonts_templates_%282009-01-02%29
> 
> Please make your fontconfig file adhere more closely to the basic template in
> fontpackages-devel.
> 
> Otherwise, everything else seems fine

hi,

I have the package installed. I dont know the location of the templates :(  . Can you tell me where these are located? I was still referring to the ones i had downloaded earlier.

regards,

Ankur
Comment 19 Nicolas Mailhot 2009-01-13 04:09:17 EST
(In reply to comment #18)

> I have the package installed. I dont know the location of the templates :(

rpm -ql packagename will get you the file listing in packagename
Comment 20 Ankur Sinha 2009-01-20 07:37:24 EST
hi,

I changed the fontconfig in accordance with the basic font config template.
I think the rest is fine now?

Here are the packages : 

http://ankursinha.fedorapeople.org/cf-bonveno-fonts/cf-bonveno-fonts-1.1-3.fc10.src.rpm

http://ankursinha.fedorapeople.org/cf-bonveno-fonts/cf-bonveno-fonts.spec

regards,

Ankur
Comment 21 Nicolas Mailhot 2009-01-21 16:59:31 EST
This one is good

✖✖✖ APPROVED ✖✖✖

You can continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

If you still need sponsoring state your FAS username here and I'll approve it (however that does not mean you're of the hook for bug #476720 ; please finish packaging Beteckna)
Comment 22 Ankur Sinha 2009-01-21 21:35:04 EST
hi,

Its "ankursinha". I'll finish Beteckna in a few days. What do I need to do once I'm sponsored? Is it still just package and submit? 

regards,

Ankur
Comment 23 Nicolas Mailhot 2009-01-22 14:16:12 EST
(In reply to comment #22)
> hi,
> 
> Its "ankursinha". I'll finish Beteckna in a few days. What do I need to do once
> I'm sponsored?

You follow the steps in http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
for your packages that already passed review

For Beteckna, you still have to pass the review step

Most people on #fedora-devel will help you as long as they don't have to do the reviewing or sponsoring themselves
Comment 24 Ankur Sinha 2009-01-23 09:22:21 EST
New Package CVS Request
=======================
Package Name: bonvenocf-fonts
Short Description: A set of fun fonts from the crud factory, by Barry Schwartz.
Owners: ankursinha
Branches: F-9 F-10
InitialCC: fonts-sig
Comment 25 Nicolas Mailhot 2009-01-23 09:56:08 EST
Please be more careful, infra will create a component with the exact name you give in your cvs request, and your srpm will have to be named the same way of this component. Please adjust your demand to the final agreed-on name
Comment 26 Ankur Sinha 2009-01-23 12:20:47 EST
New Package CVS Request
=======================
Package Name: cf-bonveno-fonts
Short Description: A set of fun fonts from the crud factory, by Barry Schwartz.
Owners: ankursinha
Branches: F-9 F-10
InitialCC: fonts-sig
Comment 27 Kevin Fenzi 2009-01-28 19:32:47 EST
cvs done.
Comment 28 Ankur Sinha (FranciscoD) 2009-07-24 00:17:13 EDT
cf-bonveno-fonts is available in the repos.

https://admin.fedoraproject.org/pkgdb/packages/name/cf-bonveno-fonts?

Note You need to log in before you can comment on or make changes to this bug.